using Model;
using Stub;

namespace TestDataManager;

public class BorrowBookStub : EmptyStubDataManager
{
    public BorrowBookStub() : base()
    {
        books.AddRange([
            new Book(1, "Les Trois Mousquetaires", "Alexandre Dumas", "979-8415441792"),
            new Book(2, "Les Misérables", "Victor Hugo", "979-8850172916")
        ]);

        bookId = 3;

        persons.AddRange([
            new Person(1, "Chick", "Corea"),
            new Person(2, "Stanley", "Clarke")
        ]);

        personId = 3;

        books[0].Borrower = persons[0];
        persons[0].BorrowBook(books[0]);
    }
}